Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
broadcast_spectators_count = client.streaming.broadcasts.get_spectators_count(
0,
)
print(broadcast_spectators_count.spectators_count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
broadcastSpectatorsCount, err := client.Streaming.Broadcasts.GetSpectatorsCount(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", broadcastSpectatorsCount.SpectatorsCount)
}curl --request GET \
--url https://api.gcore.com/streaming/broadcasts/{broadcast_id}/spectators \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/broadcasts/{broadcast_id}/spectators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spectators_count": 100
}Broadcasts
Get broadcast spectators count
Returns number of simultaneous broadcast viewers at the current moment
GET
/
streaming
/
broadcasts
/
{broadcast_id}
/
spectators
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
broadcast_spectators_count = client.streaming.broadcasts.get_spectators_count(
0,
)
print(broadcast_spectators_count.spectators_count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
broadcastSpectatorsCount, err := client.Streaming.Broadcasts.GetSpectatorsCount(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", broadcastSpectatorsCount.SpectatorsCount)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Broadcast ID.
IDs of all created broadcasts can be received via Get All Broadcasts request
Response
200 - application/json
Successful
Number of spectators at the moment
Was this page helpful?
⌘I